/* Cards ================ */

.card-article {
  display: block;
  border-radius: 10px;
  overflow: hidden;
  background-color: var(--color-white);
  box-shadow: 2px 10px 24px rgba(157, 152, 147, .74);
}

.card-article__preview {
  position: relative;
  display: block;
  height: 300px;
  overflow: hidden;

  @media (--desktop-large-max) {
    height: 250px;
  }

  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}

.card-article__age,
.card-article__date {
  position: absolute;
  top: 40px;
  left: 0;
  display: inline-flex;
  align-items: center;
  height: 46px;
  padding-right: 30px;
  padding-left: 10px;
  border-radius: 0 10px 10px 0;
  color: var(--color-white);
  font-weight: var(--text-font-weight-bold);
  text-align: left;
  background-color: var(--color-secondary);
}

.card-article__footer {
  position: relative;
  padding-top: 30px;
  padding-right: 30px;
  padding-bottom: 40px;
  padding-left: 30px;
  margin-top: -35px;
  background: var(--color-white);

  @media (--laptop-small-max) {
    padding-top: 20px;
    padding-right: 20px;
    padding-bottom: 30px;
    padding-left: 20px;
    margin-top: -65px;
  }

  @media (--tablet-max) {
    padding-top: 30px;
    padding-right: 30px;
    padding-bottom: 40px;
    padding-left: 30px;
    margin-top: -35px;
  }

  @media (--tablet-small-max) {
    padding-top: 20px;
    padding-right: 20px;
    padding-bottom: 30px;
    padding-left: 20px;
    margin-top: -65px;
  }
}

.card-article__footer--wave-1 {
  background: url("../images/card_wave.svg") no-repeat;
  background-size: cover;
}

.card-article__footer--wave-2 {
  padding-top: 20px;
  margin-top: -25px;
  background: url("../images/card_wave2.svg") no-repeat;
  background-size: cover;
}

.card-article__footer--wave-3 {
  padding-top: 60px;
  margin-top: -65px;
  background: url("../images/card_wave3.svg") no-repeat;
  background-size: cover;

  @media (--laptop-small-max) {
    padding-top: 40px;
    margin-top: -85px;
  }

  @media (--tablet-max) {
    padding-top: 60px;
    margin-top: -65px;
  }

  @media (--tablet-small-max) {
    padding-top: 40px;
    margin-top: -85px;
  }
}

.card-article__title {
  display: inline-block;
  min-height: 44px;
  margin-top: 35px;
  margin-bottom: 30px;
  text-decoration: none;

  @media (--desktop-large-max) {
    margin-top: 25px;
    margin-bottom: 20px;
  }
}

.card-article--program {

  .card-article__footer {
    min-height: 335px;
    padding-bottom: 30px;

    @media (--desktop-large-max) {
      min-height: 300px;
    }
  }
}

.card-article__text {
  padding-top: 30px;
  text-align: center;

  @media (--desktop-large-max) {
    font-size: var(--text-size-main-small);
  }
}
/* ================ end cards */
